// FilterCamera.h: interface for the CFilterCamera class.
//
//////////////////////////////////////////////////////////////////////

/** \file FilterCamera.h
	\brief Rozhraní pro třídu CFilterCamera
*/

#if !defined(_FILTERCAMERA_H_)
#define _FILTERCAMERA_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "FilterBase.h"

/** Třída reprezentující snímací rovinu (CCD čip) zobrazovacího zařízení
*/
class CFilterCamera : public CFilterBase  
{

	DECLARE_DYNAMIC(CFilterCamera)
private:
	 int m_type; ///< ID filtru

	 void Supersampling();
public:
	/** Parametrický konstruktor.
		Inicializuje filtr na základě zadaných parametrů
		@param name - název filtru
	*/
	CFilterCamera(float CameraFocus = 0, float DistanceToCamera = 0, const char* name = "Untitled");
	virtual ~CFilterCamera(); ///< Destruktor

	double GetParam() const { return 0;}					//vrati paprametr filtru
	virtual CStructures::iPoint GetNextSize() const;			//vrati rozmery nasledujiciho filtru
	int GetType() {return m_type;}

	//MRCCC void Transform(CPixelArray* pSource, CPixelArray* pTarget);

	#ifdef _DEBUG
		void Dump(CDumpContext& dc) const;
	#endif //_DEBUG

};

#endif // !defined(_FILTERCAMERA_H_)
